RDKit: ForceFields::MMFF::MMFFOopCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ForceFields::MMFF::MMFFOopCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const MMFFOop * | operator() (const MMFFDefCollection *mmffDef, const unsigned int iAtomType, const unsigned int jAtomType, const unsigned int kAtomType, const unsigned int lAtomType) const
| Looks up the parameters for a particular key and returns them.
| MMFFOopCollection (const bool isMMFFs, std::string mmffOop="")

## Public Attributes
std::vector< MMFFOop > | d_params
| the parameter vector
std::vector< std::uint8_t > | d_iAtomType
| atom type vector for atom i
std::vector< std::uint8_t > | d_jAtomType
| atom type vector for atom j
std::vector< std::uint8_t > | d_kAtomType
| atom type vector for atom k
std::vector< std::uint8_t > | d_lAtomType
| atom type vector for atom l

## Detailed Description

Definition at line 723 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## ◆ MMFFOopCollection()

ForceFields::MMFF::MMFFOopCollection::MMFFOopCollection | ( | const bool | isMMFFs,
|  | std::string | mmffOop = "" )

References d_params.

## Member Function Documentation

## ◆ operator()()

const MMFFOop * ForceFields::MMFF::MMFFOopCollection::operator() | ( | const MMFFDefCollection * | mmffDef,
|  | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType,
|  | const unsigned int | kAtomType,
|  | const unsigned int | lAtomType ) const
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFOop object, NULL on failure.

Definition at line 729 of file MMFF/Params.h.

References d_iAtomType, d_jAtomType, d_kAtomType, d_lAtomType, and d_params.

## Member Data Documentation

## ◆ d_iAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFOopCollection::d_iAtomType

atom type vector for atom i

Definition at line 809 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_jAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFOopCollection::d_jAtomType

atom type vector for atom j

Definition at line 810 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_kAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFOopCollection::d_kAtomType

atom type vector for atom k

Definition at line 811 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_lAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFOopCollection::d_lAtomType

atom type vector for atom l

Definition at line 812 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_params

std::vector<MMFFOop> ForceFields::MMFF::MMFFOopCollection::d_params

the parameter vector

Definition at line 808 of file MMFF/Params.h.

Referenced by MMFFOopCollection(), and operator()().

The documentation for this class was generated from the following file:

- MMFF/Params.h